#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
SETUP_CMD_LINE=${binDir}/../../../../../bin/setupCmdLine.sh
 
if [ -f ${SETUP_CMD_LINE} ]; then
    CUR_DIR=`pwd`
    WAS_DIR=${binDir}/../../../../../
    cd "${WAS_DIR}"
    REPLACE_WAS_HOME=`pwd`
    cd "${CUR_DIR}"
    . $SETUP_CMD_LINE
	if [ -f ${JAVA_HOME}/bin/java ]; then
    	JAVA_EXE="${JAVA_HOME}/bin/java"
	else
    	JAVA_EXE="${JAVA_HOME}/jre/bin/java"
	fi
    $JAVA_EXE \
  	-Dws.ext.dirs=$WAS_EXT_DIRS \
	"-Dwas.install.root=$WAS_HOME" "-Duser.install.root=$USER_INSTALL_ROOT" -classpath "$WAS_CLASSPATH" com.ibm.ws.bootstrap.WSLauncher \
	com.ibm.ws.session.filter.splicer.FilterSplicer \
	$@
else
    REPLACE_OBJECTGRID_HOME=${binDir}/../../..
	SETUP_CMD_LINE=${binDir}/../../../bin/setupCmdLine.sh
	. $SETUP_CMD_LINE
	if [ -f ${JAVA_HOME}/bin/java ]; then
    	JAVA_EXE="${JAVA_HOME}/bin/java"
	else
    	JAVA_EXE="${JAVA_HOME}/jre/bin/java"
	fi	
    $JAVA_EXE -classpath "$OBJECTGRID_HOME"/legacy/session/lib/splicer.jar:"$OBJECTGRID_HOME"/lib/objectgrid.jar \
	com.ibm.ws.session.filter.splicer.FilterSplicer \
	$@
fi

