@setlocal
@echo off

rem  This sample program is provided AS IS and may be used, executed, copied and modified
rem  without royalty payment by customer
rem  (a) for its own instruction and study,
rem  (b) in order to develop applications designed to run with an IBM WebSphere product,
rem  either for customer's own internal use or for redistribution by customer, as part of such an
rem  application, in customer's own products.
rem  Licensed Materials - Property of IBM
rem  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008,2010

echo.
echo This administrative utility is provided as a sample only and is not to be
echo considered a fully supported component of the WebSphere eXtreme Scale product
echo.

call "%~dp0setupCmdLine.bat"

if not defined JAVA_HOME (
   echo Set the JAVA_HOME environment variable.
   goto end
)

if not defined OBJECTGRID_HOME (
   goto ws
)

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE=%JAVA_HOME%\bin\java
) else (
   set JAVA_EXE=%JAVA_HOME%\jre\bin\java
)

%JAVA_EXE% "-classpath" "%OBJECTGRID_HOME%\samples\xsadmin.jar;%OBJECTGRID_HOME%\properties;%OBJECTGRID_HOME%\lib\ogclient.jar;%OBJECTGRID_HOME%\lib\mx4j.jar;%OBJECTGRID_HOME%\lib\mx4j-remote.jar;%OBJECTGRID_HOME%\lib\mx4j-tools.jar" %JAVA_ENDORSED_DIRS% "com.ibm.websphere.samples.objectgrid.admin.OGAdmin" %*

goto end

:ws

if exist "%JAVA_HOME%"\bin\java.exe (
   set JAVA_EXE="%JAVA_HOME%"\bin\java
) else (
   set JAVA_EXE="%JAVA_HOME%"\jre\bin\java
)

%JAVA_EXE% %WAS_LOGGING% %CONSOLE_ENCODING% -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="%USER_INSTALL_ROOT%\properties\wsjaas_client.conf" "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\optionalLibraries\mx4j\lib;%WAS_HOME%\optionalLibraries\ObjectGrid\xsadmin.jar" -Dserver.root="%WAS_HOME%" %CLIENTSAS% %CLIENTSSL% %USER_INSTALL_PROP% -classpath "%WAS_CLASSPATH%" com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.samples.objectgrid.admin.OGAdmin %*

:end
@endlocal